echo off
REM -------------------------------------------------------------------
REM
REM Change these lines to match your situation.
REM 
REM

SET theGHC=ghc
SET mechDIR=d:\usr\underdark\projects\xmech\litemech\v1.3.2

REM -------------------------------------------------------------------

REM from this point on, you're not supposed to change the script.

SET GHCincludePath=%mechDIR%/src;%mechDIR%/generated;%mechDIR%/lib;%mechDIR%/lib/constraintSolver
SET GHCextraPackage=-package data -package util -package lang
SET GHCoptions=--make -fallow-overlapping-instances -fglasgow-exts -i%GHCincludePath% %GHCextraPackage%

REM -------------------------------------------------------------------
REM building the Sign-utility
REM -------------------------------------------------------------------
echo =====building the Sign-utility...
cd %mechDIR%\buildersSection\tools\SIGNATURE
%theGHC% %GHCoptions% -o sign.exe Main
move sign.exe %mechDIR%\bin

REM -------------------------------------------------------------------
REM building the lib
REM -------------------------------------------------------------------
echo =====building support libraries...
cd %mechDIR%\lib\constraintSolver
%theGHC% %GHCoptions% SolveGreedy
cd %mechDIR%\lib\UU
%theGHC% %GHCoptions% Parsing
%theGHC% %GHCoptions% Pretty
%theGHC% %GHCoptions% Scanner

REM -------------------------------------------------------------------
REM building litemech
REM -------------------------------------------------------------------
echo =====building litemech...
cd %mechDIR%\src
%theGHC% %GHCoptions% -o reduce.exe Main
move reduce.exe %mechDIR%\bin

echo =====build finished.
cd %mechDIR%\buildersSection\build
echo on