signature xgcdTheory =
sig
  type thm = Thm.thm
  
  (*  Theorems  *)
    val gcd_ora1 : thm
    val gcd_ora2 : thm
    val gcd_ora3 : thm
  
  val xgcd_grammars : type_grammar.grammar * term_grammar.grammar
(*
   [integer] Parent theory of "xgcd"
   
   [gcd_ora1]  Theorem
      
      [oracles: gcd_ora1] [axioms: ] [x > 0] |- gcd x x = x
   
   [gcd_ora2]  Theorem
      
      [oracles: gcd_ora2] [axioms: ] [x > 0, y > x]
      |- gcd x (y - x) = gcd x y
   
   [gcd_ora3]  Theorem
      
      [oracles: gcd_ora3] [axioms: ] [x > y, y > 0]
      |- gcd (x - y) y = gcd x y
   
   
*)
end
