-- //===========================================================================
-- //
-- // AUTHOR(S): Wishnu Prasetya, Ade Azurat
-- // PACKAGE  : (c)xMECH, class LITE, version alpha 1.3.2
-- //
-- //===========================================================================
-- //
module Engine.VCG.PCKG(
	 vcg0
	,vcg
	,pp_vcs
	,ReduceOption(..)
	)

where

import Engine.VCG.Basic
import SEQ_vcg(vcg0,vcg)
import Lang.EXPR.PCKG
import Configuration.Face
import UU.Pretty

pp_vcs []  = text "No vc is generated."

pp_vcs vcs =  text "Generated vcs:" >-< 
	( vlist
	  . map (text "" >-<)
	  . map pp_pair 
	  . zip [0..] 
	  . map pp
	  $ vcs )

	where

	pp_pair (i,vc) = pp_number i >-< hline >-< vc 

	pp_number (n::Integer) = pp_brackets . text . show $ n

	hline = text (replicate (std_PageWidth - 10) '-')
