-- //===========================================================================
-- //
-- // AUTHOR(S): Wishnu Prasetya, Ade Azurat
-- // PACKAGE  : (c)xMECH, class LITE, version alpha 1.3.2
-- //
-- //===========================================================================
-- //
module Lang.EXPR.Scannerspec(scannerspec)

where

import MechScanner.PCKG
import Configuration.Lang

standard_scannerspec
	=
	ScannerSpec
	  { keywordsops = [":-","-:","|","<-"
				,"=","<>",">",">=","<","<="
				,"+","-","*","/"
				,"/\\","\\/","==>"
				,"?","!"
				,":","++"
				,"#"],	   
	    keywordstxt = ["T","F","if","then","else","in"
	 			,"range","from","to","select","where"
				,"max","min","mod","div"]
	  }

fromDefaultConstantList_scannerspec
	=
	ScannerSpec
	  { keywordsops = additional_EXPR_keywordops,
	    keywordstxt = additional_EXPR_keywords
	  }

scannerspec = ss_MERGE
	[standard_scannerspec
	,fromDefaultConstantList_scannerspec
	]

