{-

A simple example: a bounded linear search program.

With invariant and metric.

-}

prog boundedLinearSearch 
	(readonly a :: & Int[];
	 readonly x :: Int;
	 found :: & Bool;
	 k :: & Int)
i::Int 

pre #a>0

do

{ i:=0 ;
  found:=F ;

  inv (i range from 0 to (#a+1)) /\ 
      (found = (?j :- j range from 0 to i -: a[j]=x__0)) /\
      (found ==> (a[k]=x__0)) /\
      (x = x__0)

  metric #a - i

  while ~found /\ i < #a do
	{ if a[i]=x then { found:=T; k:=i } else skip ;
	  i := i+1 }
}


post (found = (?j :- j range from 0 to #a -: a[j]=x__0)) /\ (found ==> (a[k]=x__0))

