signature x_ArrayTheory =
sig
  type thm = Thm.thm
  
  (*  Theorems  *)
    val ArrayDom_ora4 : thm
    val ArrayDom_thm1 : thm
    val ArrayDom_thm2 : thm
    val ArrayDom_thm3 : thm
    val ArrayUpdate_thm1 : thm
    val ArrayUpdate_thm2 : thm
    val SizeOf_ArrayUpdate_thm : thm
  
  val x_Array_grammars : type_grammar.grammar * term_grammar.grammar
(*
   [Omega] Parent theory of "x_Array"
   
   [int_arith] Parent theory of "x_Array"
   
   [x_StdConst] Parent theory of "x_Array"
   
   [ArrayDom_ora4]  Theorem
      
      [oracles: ArrayDom_ora4] [axioms: ] [i <= j]
      |- ArrayDom a i (j + 1) = APPEND (ArrayDom a i j) [a ArrayApp j]
   
   [ArrayDom_thm1]  Theorem
      
      [oracles: ArrayDom_defora] [axioms: ] [] |- ArrayDom a i i = []
   
   [ArrayDom_thm2]  Theorem
      
      [oracles: ArrayDom_defora] [axioms: ] [i >= j] |- ArrayDom a i j = []
   
   [ArrayDom_thm3]  Theorem
      
      [oracles: ArrayDom_defora] [axioms: ] []
      |- ArrayDom a i (i + 1) = [a ArrayApp i]
   
   [ArrayUpdate_thm1]  Theorem
      
      |- ArrayUpdate a i x ArrayApp i = x
   
   [ArrayUpdate_thm2]  Theorem
      
      |- ArrayUpdate a i x ArrayApp j = (if i = j then x else a ArrayApp j)
   
   [SizeOf_ArrayUpdate_thm]  Theorem
      
      |- arraySize (ArrayUpdate a i x) = arraySize a
   
   
*)
end
