-- //===========================================================================
-- //
-- // AUTHOR(S): Wishnu Prasetya, Ade Azurat
-- // PACKAGE  : (c)xMECH, class LITE, version alpha 1.3.2
-- //
-- //===========================================================================
-- //
module Lang.EXPR.Parsers(
	  module Lang.EXPR.Scannerspec
	, pExpr
	, pExpr_PL
	, pExpr_QL
	, pLHSAssign
--	, EXPR_ParserParameter(..)
	, p_Ident
	, p_Identifier
	)

where

import Lang.EXPR.Scannerspec

import qualified Lang.EXPR.Parser_Full
import qualified Lang.EXPR.Parser_PL
import qualified Lang.EXPR.Parser_QL
import Lang.EXPR.Common_Parser

pExpr      = Lang.EXPR.Parser_Full.pExpr
pExpr_PL   = Lang.EXPR.Parser_PL.pExpr
pExpr_QL   = Lang.EXPR.Parser_QL.pExpr
pLHSAssign = Lang.EXPR.Parser_PL.pLHSAssign
