-- //===========================================================================
-- //
-- // AUTHOR(S): Wishnu Prasetya, Ade Azurat
-- // PACKAGE  : (c)xMECH, class LITE, version alpha 1.3.2
-- //
-- //===========================================================================
-- //
module Lang.SEQ.Scannerspec(scannerspec)

where

import MechScanner.PCKG
import qualified Lang.STMT.Parsers
import qualified Lang.TYPE.Parsers


scannerspec_SEQ
	=
	ScannerSpec
	  { keywordsops = ["::"],
	    keywordstxt = ["prog","readonly","pre","post","do",
			   "spec","lconst","aux"
				]
	}

scannerspec 
	=
	ss_MERGE [scannerspec_SEQ
		 ,Lang.STMT.Parsers.scannerspec
		 ,Lang.TYPE.Parsers.scannerspec
		 ]


