-- //===========================================================================
-- //
-- // AUTHOR(S): Wishnu Prasetya, Ade Azurat
-- // PACKAGE  : (c)xMECH, class LITE, version alpha 1.3.2
-- //
-- //===========================================================================
-- //
module Lang.STMT.Scannerspec(scannerspec)

where

import MechScanner.PCKG
import qualified Lang.EXPR.Parsers

scannerspec_Stmt
	=
	ScannerSpec
	  { keywordsops = [":="],
	    keywordstxt = ["skip","if","then","else",
	 			"while","for","inv","metric",
				"do","from","to"]
	}

scannerspec = ss_MERGE [scannerspec_Stmt, Lang.EXPR.Parsers.scannerspec]


