-- //===========================================================================
-- //
-- // AUTHOR(S): Wishnu Prasetya, Ade Azurat
-- // PACKAGE  : (c)xMECH, class LITE, version alpha 1.3.2
-- //
-- //===========================================================================
-- //
module Lang.TYPE.PCKG(
	 module TYPE_data
	,module Lang.TYPE.PCKG
	,module Lang.TYPE.Util
	,ppTypeTree)

where

import UU.Pretty
import TYPE_data
import Lang.TYPE.Util
import qualified TYPE_tree
import TYPE_pp
import Configuration.Face

ppTypeTree = TYPE_tree.ppType 

instance Show Type
  where
  showsPrec _ ty s = disp (TYPE_tree.ppType ty)  std_PageWidth s

instance PP Type 
  where
  pp = ppType
